package com.prolog.cs.biz.inbound.model.rcv;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.bz.core.model.BaseModel;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description  
 * @Date 2021-04-02 
 */

@ApiModel
@Table ( value ="wms_in_rcv_headers_pic",appendDefaultJdbcType = true,camelToUnderline = true )
public class RcvHeadersPic extends BaseModel implements Serializable {
	private static final long serialVersionUID =  3945545071623154503L;
	@Id
	@AutoKey(type=AutoKey.TYPE_SNOWFLAKE)
	 /** 上传ID(主键雪花id) **/ 
	@ApiModelProperty(value = "上传ID(主键雪花id)") 
	private String rcvHeaderPicId;

	 /** 收货单头ID **/ 
	@ApiModelProperty(value = "收货单头ID") 
	private String rcvHeaderId;

	 /** 图片名称 **/ 
	@ApiModelProperty(value = "图片名称") 
	private String picFilename;

	 /** 图片地址 **/ 
	@ApiModelProperty(value = "图片地址") 
	private String picFileurl;

	 /** 上传时间 **/ 
	@ApiModelProperty(value = "上传时间") 
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date executorDate;

	 /** 上传人id **/ 
	@ApiModelProperty(value = "上传人id") 
	private String executorUserid;

	 /** 上传人名称 **/ 
	@ApiModelProperty(value = "上传人名称") 
	private String executorUserName;


	public String getRcvHeaderPicId() {
		return this.rcvHeaderPicId;
	}

	public void setRcvHeaderPicId(String rcvHeaderPicId) {
		this.rcvHeaderPicId = rcvHeaderPicId;
	}

	public String getRcvHeaderId() {
		return this.rcvHeaderId;
	}

	public void setRcvHeaderId(String rcvHeaderId) {
		this.rcvHeaderId = rcvHeaderId;
	}

	public String getPicFilename() {
		return this.picFilename;
	}

	public void setPicFilename(String picFilename) {
		this.picFilename = picFilename;
	}

	public String getPicFileurl() {
		return this.picFileurl;
	}

	public void setPicFileurl(String picFileurl) {
		this.picFileurl = picFileurl;
	}

	public Date getExecutorDate() {
		return this.executorDate;
	}

	public void setExecutorDate(Date executorDate) {
		this.executorDate = executorDate;
	}

	public String getExecutorUserid() {
		return this.executorUserid;
	}

	public void setExecutorUserid(String executorUserid) {
		this.executorUserid = executorUserid;
	}

	public String getExecutorUserName() {
		return this.executorUserName;
	}

	public void setExecutorUserName(String executorUserName) {
		this.executorUserName = executorUserName;
	}

}
